read.coastline.openstreetmap {oce} | R Documentation

## Read a Coastline File in Openstreetmap Format

### Description

Read coastline data stored in the openstreetmap format [1].

### Usage

    read.coastline.openstreetmap(file, lonlim = c(-180, 180), latlim = c(-90,
      90), debug = getOption("oceDebug"), monitor = FALSE, processingLog)

### Arguments

`file` | name of file containing coastline data (a file ending in `.shp`) or a zipfile that contains such a file, with a corresponding name. The second scheme is useful for files downloaded from the NaturalEarth website [2].
`lonlim` | numerical vectors specifying the west and east edges (and south and north edges) of a focus window. Coastline polygons that do not intersect the defined box are skipped, which can be useful in narrowing high-resolution world-scale data to a local application.
`latlim` | numerical vectors specifying the west and east edges (and south and north edges) of a focus window. Coastline polygons that do not intersect the defined box are skipped, which can be useful in narrowing high-resolution world-scale data to a local application.
`debug` | set to TRUE to print information about the header, etc.
`monitor` | Logical indicating whether to print an indication of progress through the file.
`processingLog` | if provided, the action item to be stored in the log. (Typically only provided for internal calls; the default that it provides is better for normal calls by a user.)

### Value

An object of `coastline-class`

### Author(s)

Dan Kelley

### See Also

Other things related to `coastline` data: `[[,coastline-method`, `[[<-,coastline-method`, `as.coastline`, `coastline-class`, `coastlineBest`, `coastlineCut`, `coastlineWorld`, `download.coastline`, `plot,coastline-method`, `read.coastline.shapefile`, `subset,coastline-method`, `summary,coastline-method`

[Package oce version 0.9-22 Index]